#+TITLE: About me
#+KEYWORDS: social
#+AUTHOR: Yann Esposito
#+EMAIL: yann@esposito.host
#+LANGUAGE: en
#+LANG: en
#+OPTIONS: H:5 auto-id:t
#+STARTUP: showeverything

@@html:<nav>
<a href="/index.html">Home</a> |
<a href="/archive.html">Posts</a> |
<a href="/slides.html">Slides</a> |
<a href="/about-me.html">About</a>
<span class="details">
(<a href="https://gitea.esy.fun/yogsototh">code</a>
<a href="https://espial.esy.fun/u:yogsototh">bookmarks</a>
<a href="https://espial.esy.fun/u:yogsototh/notes">notes</a>)
</span>
</nav>@@

#+begin_notes
*Sorry for the late reply.*

After reading Digital Minimalism[fn:dm] I decided to drastically protect
myself against most real-time notifications.

I try to look at my email everyday.
But sometime a few days could go without me checking them.

So I'll answer, it can just take a lot of time.

My preferred way to be contacted is via encrypted email.
This will certainly be the best way for me to notice you among notifications.
#+end_notes

[fn:dm] http://www.calnewport.com/books/digital-minimalism/

* Contact
  :PROPERTIES:
  :CUSTOM_ID: contact
  :END:

#+MACRO: pemail @@html: <a href="&#109;&#97;&#105;&#x6C;&#116;&#111;&#x3A;&#x79;&#x61;&#x6E;&#x6E;&#64;&#x65;&#x73;&#112;&#x6F;&#x73;&#105;&#x74;&#x6F;&#x2E;&#x68;&#x6F;&#x73;&#x74;">&#x59;&#x61;&#x6E;&#x6E;&#x20;&#x45;&#x73;&#x70;&#x6F;&#115;&#x69;&#116;&#x6F; &lt;&#x79;&#x61;&#x6E;&#x6E;&#64;&#x65;&#x73;&#112;&#x6F;&#x73;&#105;&#x74;&#x6F;&#x2E;&#x68;&#x6F;&#x73;&#x74;&gt;</a>@@


| email | {{{pemail}}}     |
| gpg   | [[file:files/publickey.txt][CB420F8005F1A662]] |

|                | self-hosted      | web                  |
|----------------+------------------+----------------------|
| programs       | [[https://gitea.esy.fun/yogsototh][gitea.esy.fun]]    | [[https://github.com/yogsototh][github/yogsototh]]     |
| bookmarks      | [[https://espial.esy.fun/u:yogsototh][espial.esy.fun]]   | [[https://pinboard.in/u:yogsototh][pinboard/u:yogsototh]] |
| microblog      | [[https://espial.esy.fun/u:yogsototh/notes][espial.esy.fun]]   | [[https://twitter.com/yogsototh][twitter/@yogsototh]]   |
| lobste.rs      | . . . . . . . .  | [[https://lobste.rs/u/yogsototh][/u/yogsototh]]         |
| reddit         | . . . . . . . .  | [[https://reddit.com/u/yogsototh][/u/yogsototh]]         |
| stack overflow | . . . . . . . .  | [[https://stackoverflow.com/users/40569/yogsototh][yogsototh]]            |

* Who am I?
:PROPERTIES:
:CUSTOM_ID: who-am-i
:END:

I am mostly known for some of my older blog post.
In particular:

- [[http://yannesposito.com/Scratch/en/blog/Learn-Vim-Progressively/][Learn Vim Progressively]]
- [[http://yannesposito.com/Scratch/en/blog/Haskell-the-Hard-Way/][Learn Haskell Fast and Hard]]
- [[http://yannesposito.com/Scratch/en/blog/Yesod-tutorial-for-newbies/][Haskell Web Programming]]
- [[http://yannesposito.com/Scratch/en/blog/Category-Theory-Presentation/][Category Theory Presentation]]

** Work
:PROPERTIES:
:CUSTOM_ID: work
:END:

#+MACRO: br @@html:<br/>@@

I'm a functional programmer, working remotely for Cisco.{{{br}}}
I work in Clojure and use Haskell/Purescript during the weekends.

I am part of a full remote team.
I work on the backend and I'm particularly specialized in Authentication.
I wrote a full OAuth2 and OpenID Connect Provider in Clojure.
Right now there is no plan to make it opensource.

** Tooling
:PROPERTIES:
:CUSTOM_ID: tooling
:END:

In our programmer community, tooling is essential.

- emacs (former vim user)
  - spacemacs
  - org-mode / org-journal / org-roam
  - magit / forge / github-review
- weechat
  - weeslack

* former websites
:PROPERTIES:
:CUSTOM_ID: old-websites
:END:

- https://yannesposito.com ✞ 2016
- http://yann.esposito.free.fr ✞ 2007
